Skip to main content
Collections are a way to group files, folders, and web links without putting them all into a folder.

Collection

A collection of items, including files and folders. Currently, the only collection available is the favorites collection. The contents of a collection can be explored in a similar way to which the contents of a folder is explored.
PropertyTypeRequiredDescription
idstringNoThe unique identifier for this collection.
typeenum<string>NoThe value will always be collection. Available options: collection.
nameenum<string>NoThe name of the collection. Available options: Favorites.
collection_typeenum<string>NoThe type of the collection. This is used to determine the proper visual treatment for collections. Available options: favorites.
Example
{
  "id": "11446498",
  "type": "collection",
  "name": "Favorites",
  "collection_type": "favorites"
}

Collections

A list of collections.
PropertyTypeRequiredDescription
total_countintegerNoOne greater than the offset of the last entry in the entire collection. The total number of entries in the collection may be less than total_count. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted.
limitintegerNoThe limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
offsetintegerNoThe 0-based offset of the first entry in this set. This will be the same as the offset query parameter. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted.
orderarray of objectNoThe order by which items are returned. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted.
entriesarray of CollectionNoA list of collections.
Example
{
  "total_count": 5000,
  "limit": 1000,
  "offset": 2000,
  "order": [
    {
      "by": "type",
      "direction": "ASC"
    }
  ],
  "entries": [
    {
      "id": "11446498",
      "type": "collection",
      "name": "Favorites",
      "collection_type": "favorites"
    }
  ]
}
Last modified on July 9, 2026